<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<STYLE type=text/css>
<!--
.blink {text-decoration:blink}
.ms  {font-size: 9pt; font-family: monospace; font-weight: normal}
.msb {font-size: 9pt; font-family: monospace; font-weight: bold  }
-->
</STYLE>
<META content="MSHTML 6.00.2900.2180" name=GENERATOR></HEAD>
<BODY><B>
</B>
<BR><PRE><A name="Report Header"></A>
--------------------------------------------------------------------------------
Lattice TRACE Report - Hold, Version Diamond (64-bit) 3.12.0.240.2
Wed Oct 11 01:02:12 2023

Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
Copyright (c) 1995 AT&T Corp.   All rights reserved.
Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
Copyright (c) 2001 Agere Systems   All rights reserved.
Copyright (c) 2002-2020 Lattice Semiconductor Corporation,  All rights reserved.

Report Information
------------------
Design file:     GENDECAL
Device,speed:    LCMXO2-7000HE,M
Report level:    verbose report, limited to 10 items per preference
--------------------------------------------------------------------------------



</A><A name="FREQUENCY NET 'CLK_c' 444.247000 MH"></A>================================================================================
Preference: FREQUENCY NET "CLK_c" 444.247000 MHz ;
            10 items scored, 0 timing errors detected.
--------------------------------------------------------------------------------
<font color=#000000> 

Passed: The following path meets requirements by 0.299ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_11">QINT__i4</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_11">QINT__i3</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               0.280ns  (46.8% logic, 53.2% route), 1 logic levels.

 Constraint Details:

      0.280ns physical path delay SLICE_11 to SLICE_11 meets
     -0.019ns M_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.019ns) by 0.299ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.131,R4C4A.CLK,R4C4A.Q0,SLICE_11:ROUTE, 0.149,R4C4A.Q0,R4C4A.M1,QINT_3">Data path</A> SLICE_11 to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.131      R4C4A.CLK to       R4C4A.Q0 <A href="#@comp:SLICE_11">SLICE_11</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         1     0.149<A href="#@net:QINT_3:R4C4A.Q0:R4C4A.M1:0.149">       R4C4A.Q0 to R4C4A.M1      </A> <A href="#@net:QINT_3">QINT_3</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    0.280   (46.8% logic, 53.2% route), 1 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C4A.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C4A.CLK:0.804">       27.PADDI to R4C4A.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C4A.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C4A.CLK:0.804">       27.PADDI to R4C4A.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.
<font color=#000000> 

Passed: The following path meets requirements by 0.299ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_15">QINT__i15</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_15">QINT__i14</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               0.280ns  (46.8% logic, 53.2% route), 1 logic levels.

 Constraint Details:

      0.280ns physical path delay SLICE_15 to SLICE_15 meets
     -0.019ns M_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.019ns) by 0.299ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.131,R4C3B.CLK,R4C3B.Q0,SLICE_15:ROUTE, 0.149,R4C3B.Q0,R4C3B.M1,QINT_14">Data path</A> SLICE_15 to SLICE_15:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.131      R4C3B.CLK to       R4C3B.Q0 <A href="#@comp:SLICE_15">SLICE_15</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         1     0.149<A href="#@net:QINT_14:R4C3B.Q0:R4C3B.M1:0.149">       R4C3B.Q0 to R4C3B.M1      </A> <A href="#@net:QINT_14">QINT_14</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    0.280   (46.8% logic, 53.2% route), 1 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C3B.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_15:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C3B.CLK:0.804">       27.PADDI to R4C3B.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C3B.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_15:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C3B.CLK:0.804">       27.PADDI to R4C3B.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.
<font color=#000000> 

Passed: The following path meets requirements by 0.299ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_15">QINT__i14</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_7">QINT__i13</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               0.280ns  (46.8% logic, 53.2% route), 1 logic levels.

 Constraint Details:

      0.280ns physical path delay SLICE_15 to SLICE_7 meets
     -0.019ns M_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.019ns) by 0.299ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.131,R4C3B.CLK,R4C3B.Q1,SLICE_15:ROUTE, 0.149,R4C3B.Q1,R4C3D.M0,QINT_13">Data path</A> SLICE_15 to SLICE_7:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.131      R4C3B.CLK to       R4C3B.Q1 <A href="#@comp:SLICE_15">SLICE_15</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         1     0.149<A href="#@net:QINT_13:R4C3B.Q1:R4C3D.M0:0.149">       R4C3B.Q1 to R4C3D.M0      </A> <A href="#@net:QINT_13">QINT_13</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    0.280   (46.8% logic, 53.2% route), 1 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C3B.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_15:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C3B.CLK:0.804">       27.PADDI to R4C3B.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C3D.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_7:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C3D.CLK:0.804">       27.PADDI to R4C3D.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.
<font color=#000000> 

Passed: The following path meets requirements by 0.299ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_3">QINT__i6</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_4">QINT__i5</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               0.280ns  (46.8% logic, 53.2% route), 1 logic levels.

 Constraint Details:

      0.280ns physical path delay SLICE_3 to SLICE_4 meets
     -0.019ns M_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.019ns) by 0.299ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.131,R4C4C.CLK,R4C4C.Q0,SLICE_3:ROUTE, 0.149,R4C4C.Q0,R4C4B.M1,QINT_5">Data path</A> SLICE_3 to SLICE_4:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.131      R4C4C.CLK to       R4C4C.Q0 <A href="#@comp:SLICE_3">SLICE_3</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         1     0.149<A href="#@net:QINT_5:R4C4C.Q0:R4C4B.M1:0.149">       R4C4C.Q0 to R4C4B.M1      </A> <A href="#@net:QINT_5">QINT_5</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    0.280   (46.8% logic, 53.2% route), 1 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C4C.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_3:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C4C.CLK:0.804">       27.PADDI to R4C4C.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C4B.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_4:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C4B.CLK:0.804">       27.PADDI to R4C4B.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.
<font color=#000000> 

Passed: The following path meets requirements by 0.299ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_4">QINT__i8</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_5">QINT__i7</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               0.280ns  (46.8% logic, 53.2% route), 1 logic levels.

 Constraint Details:

      0.280ns physical path delay SLICE_4 to SLICE_5 meets
     -0.019ns M_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.019ns) by 0.299ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.131,R4C4B.CLK,R4C4B.Q0,SLICE_4:ROUTE, 0.149,R4C4B.Q0,R4C4D.M1,QINT_7">Data path</A> SLICE_4 to SLICE_5:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.131      R4C4B.CLK to       R4C4B.Q0 <A href="#@comp:SLICE_4">SLICE_4</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         1     0.149<A href="#@net:QINT_7:R4C4B.Q0:R4C4D.M1:0.149">       R4C4B.Q0 to R4C4D.M1      </A> <A href="#@net:QINT_7">QINT_7</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    0.280   (46.8% logic, 53.2% route), 1 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C4B.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_4:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C4B.CLK:0.804">       27.PADDI to R4C4B.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C4D.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_5:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C4D.CLK:0.804">       27.PADDI to R4C4D.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.
<font color=#000000> 

Passed: The following path meets requirements by 0.299ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_5">QINT__i9</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_4">QINT__i8</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               0.280ns  (46.8% logic, 53.2% route), 1 logic levels.

 Constraint Details:

      0.280ns physical path delay SLICE_5 to SLICE_4 meets
     -0.019ns M_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.019ns) by 0.299ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.131,R4C4D.CLK,R4C4D.Q0,SLICE_5:ROUTE, 0.149,R4C4D.Q0,R4C4B.M0,QINT_8">Data path</A> SLICE_5 to SLICE_4:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.131      R4C4D.CLK to       R4C4D.Q0 <A href="#@comp:SLICE_5">SLICE_5</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         1     0.149<A href="#@net:QINT_8:R4C4D.Q0:R4C4B.M0:0.149">       R4C4D.Q0 to R4C4B.M0      </A> <A href="#@net:QINT_8">QINT_8</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    0.280   (46.8% logic, 53.2% route), 1 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C4D.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_5:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C4D.CLK:0.804">       27.PADDI to R4C4D.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C4B.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_4:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C4B.CLK:0.804">       27.PADDI to R4C4B.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.
<font color=#000000> 

Passed: The following path meets requirements by 0.299ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_7">QINT__i13</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_7">QINT__i12</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               0.280ns  (46.8% logic, 53.2% route), 1 logic levels.

 Constraint Details:

      0.280ns physical path delay SLICE_7 to SLICE_7 meets
     -0.019ns M_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.019ns) by 0.299ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.131,R4C3D.CLK,R4C3D.Q0,SLICE_7:ROUTE, 0.149,R4C3D.Q0,R4C3D.M1,QINT_12">Data path</A> SLICE_7 to SLICE_7:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.131      R4C3D.CLK to       R4C3D.Q0 <A href="#@comp:SLICE_7">SLICE_7</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         1     0.149<A href="#@net:QINT_12:R4C3D.Q0:R4C3D.M1:0.149">       R4C3D.Q0 to R4C3D.M1      </A> <A href="#@net:QINT_12">QINT_12</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    0.280   (46.8% logic, 53.2% route), 1 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C3D.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_7:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C3D.CLK:0.804">       27.PADDI to R4C3D.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C3D.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_7:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C3D.CLK:0.804">       27.PADDI to R4C3D.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.
<font color=#000000> 

Passed: The following path meets requirements by 0.299ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_7">QINT__i12</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_9">QINT__i11</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               0.280ns  (46.8% logic, 53.2% route), 1 logic levels.

 Constraint Details:

      0.280ns physical path delay SLICE_7 to SLICE_9 meets
     -0.019ns M_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.019ns) by 0.299ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.131,R4C3D.CLK,R4C3D.Q1,SLICE_7:ROUTE, 0.149,R4C3D.Q1,R4C3A.M1,QINT_11">Data path</A> SLICE_7 to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.131      R4C3D.CLK to       R4C3D.Q1 <A href="#@comp:SLICE_7">SLICE_7</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         1     0.149<A href="#@net:QINT_11:R4C3D.Q1:R4C3A.M1:0.149">       R4C3D.Q1 to R4C3A.M1      </A> <A href="#@net:QINT_11">QINT_11</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    0.280   (46.8% logic, 53.2% route), 1 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C3D.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_7:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C3D.CLK:0.804">       27.PADDI to R4C3D.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C3A.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C3A.CLK:0.804">       27.PADDI to R4C3A.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.
<font color=#000000> 

Passed: The following path meets requirements by 0.299ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_9">QINT__i11</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_13">QINT__i10</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               0.280ns  (46.8% logic, 53.2% route), 1 logic levels.

 Constraint Details:

      0.280ns physical path delay SLICE_9 to SLICE_13 meets
     -0.019ns M_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.019ns) by 0.299ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.131,R4C3A.CLK,R4C3A.Q1,SLICE_9:ROUTE, 0.149,R4C3A.Q1,R4C3C.M0,QINT_10">Data path</A> SLICE_9 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.131      R4C3A.CLK to       R4C3A.Q1 <A href="#@comp:SLICE_9">SLICE_9</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         1     0.149<A href="#@net:QINT_10:R4C3A.Q1:R4C3C.M0:0.149">       R4C3A.Q1 to R4C3C.M0      </A> <A href="#@net:QINT_10">QINT_10</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    0.280   (46.8% logic, 53.2% route), 1 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C3A.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C3A.CLK:0.804">       27.PADDI to R4C3A.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C3C.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C3C.CLK:0.804">       27.PADDI to R4C3C.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.
<font color=#000000> 

Passed: The following path meets requirements by 0.299ns
 </font>
 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              <A href="#@comp:SLICE_9">QINT__i16</A>  (from <A href="#@net:CLK_c">CLK_c</A> +)
   Destination:    FF         Data in        <A href="#@comp:SLICE_15">QINT__i15</A>  (to <A href="#@net:CLK_c">CLK_c</A> +)

   Delay:               0.280ns  (46.8% logic, 53.2% route), 1 logic levels.

 Constraint Details:

      0.280ns physical path delay SLICE_9 to SLICE_15 meets
     -0.019ns M_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.019ns) by 0.299ns

 Physical Path Details:

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:REG_DEL, 0.131,R4C3A.CLK,R4C3A.Q0,SLICE_9:ROUTE, 0.149,R4C3A.Q0,R4C3B.M0,QINT_15">Data path</A> SLICE_9 to SLICE_15:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.131      R4C3A.CLK to       R4C3A.Q0 <A href="#@comp:SLICE_9">SLICE_9</A> (from <A href="#@net:CLK_c">CLK_c</A>)
ROUTE         1     0.149<A href="#@net:QINT_15:R4C3A.Q0:R4C3B.M0:0.149">       R4C3A.Q0 to R4C3B.M0      </A> <A href="#@net:QINT_15">QINT_15</A> (to <A href="#@net:CLK_c">CLK_c</A>)
                  --------
                    0.280   (46.8% logic, 53.2% route), 1 logic levels.

 Clock Skew Details: 

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C3A.CLK,CLK_c">Source Clock Path</A> CLK to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C3A.CLK:0.804">       27.PADDI to R4C3A.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.

      <A href="#@path:FREQUENCY NET 'CLK_c' 444.247000 MHz ;:ROUTE, 0.804,27.PADDI,R4C3B.CLK,CLK_c">Destination Clock Path</A> CLK to SLICE_15:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         8     0.804<A href="#@net:CLK_c:27.PADDI:R4C3B.CLK:0.804">       27.PADDI to R4C3B.CLK     </A> <A href="#@net:CLK_c">CLK_c</A>
                  --------
                    0.804   (0.0% logic, 100.0% route), 0 logic levels.

<A name="Report Summary"></A><B><U><big>Report Summary</big></U></B>
--------------
----------------------------------------------------------------------------
Preference(MIN Delays)                  |   Constraint|       Actual|Levels
----------------------------------------------------------------------------
                                        |             |             |
FREQUENCY NET "CLK_c" 444.247000 MHz ;  |     0.000 ns|     0.299 ns|   1  
                                        |             |             |
----------------------------------------------------------------------------


All preferences were met.


<A name="Clock Domains Analysis"></A><B><U><big>Clock Domains Analysis</big></U></B>
------------------------

Found 1 clocks:

Clock Domain: <A href="#@net:CLK_c">CLK_c</A>   Source: CLK.PAD   Loads: 8
   Covered under: FREQUENCY NET "CLK_c" 444.247000 MHz ;


Timing summary (Hold):
---------------

Timing errors: 0  Score: 0
Cumulative negative slack: 0

Constraints cover 19 paths, 1 nets, and 29 connections (85.29% coverage)



Timing summary (Setup and Hold):
---------------

Timing errors: 0 (setup), 0 (hold)
Score: 0 (setup), 0 (hold)
Cumulative negative slack: 0 (0+0)
